package cn.cecep.talroad.service.impl.effective;

import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.mapper.effective.MGovernanceTechnologyEstimateProcedureMapper;
import java.util.List;
import cn.cecep.talroad.domain.effective.MGovernanceTechnologyEstimateProcedure;
import cn.cecep.talroad.service.effective.MGovernanceTechnologyEstimateProcedureService;
@Service
public class MGovernanceTechnologyEstimateProcedureServiceImpl extends ServiceImpl<MGovernanceTechnologyEstimateProcedureMapper, MGovernanceTechnologyEstimateProcedure> implements MGovernanceTechnologyEstimateProcedureService{

    @Override
    public int updateBatch(List<MGovernanceTechnologyEstimateProcedure> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    public int updateBatchSelective(List<MGovernanceTechnologyEstimateProcedure> list) {
        return baseMapper.updateBatchSelective(list);
    }
    @Override
    public int batchInsert(List<MGovernanceTechnologyEstimateProcedure> list) {
        return baseMapper.batchInsert(list);
    }
}
